import { EntityInventoryComponent, ItemStack, MinecraftItemTypes, world, Player } from "@minecraft/server";

world.afterEvents.itemUseOn.subscribe((eventData) => {
    eventData.source.runCommandAsync('function delete')
})

